Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 634982 - dev-db/sqliteman - depends on deprecated x11-libs/qscintilla[qt4]
Summary: dev-db/sqliteman - depends on deprecated x11-libs/qscintilla[qt4]
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Qt Bug Alias
URL: https://github.com/gentoo/gentoo/pull...
Whiteboard:
Keywords: STABLEREQ
Depends on:
Blocks: 634838 qscintilla-qt4-removal
  Show dependency tree
 
Reported: 2017-10-21 11:28 UTC by Andreas Sturmlechner
Modified: 2017-11-20 15:45 UTC (History)
1 user (show)

See Also:
Package list:
dev-db/sqliteman-1.2.2-r4 x11-libs/qscintilla-2.10.1
Runtime testing required: ---
stable-bot: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Sturmlechner gentoo-dev 2017-10-21 11:28:03 UTC
Unfortunately, seems to be dead upstream. At least a PR with a port to Qt5 exists, but may be broken by Qt-5.7.1 (not verified).
Comment 1 Jouni Kosonen 2017-10-21 14:47:10 UTC
The PR 22 doesn't apply to the source version in the tarball, it is built on other unimplemented patches.

It looks like it can be massaged to build against 5.9.2 and likely 5.7.1 as well, I'll see if I can make a pull request out of that.
Comment 2 Jouni Kosonen 2017-10-21 15:24:00 UTC
I've now made PR 6002 for this.

My cmake-fu didn't come up with a simple replacement for ${QT_LIBRARY_DIR} – is there a preferred incantation?
Comment 3 Andreas Sturmlechner gentoo-dev 2017-10-21 16:22:28 UTC
Thanks, commented in PR!

Original upstream PR: https://github.com/pvanek/sqliteman/pull/22
Comment 4 Andreas Sturmlechner gentoo-dev 2017-10-22 00:06:44 UTC
Thanks for your work, now let's hope we can do the Qt4 cleanup after some time.
Comment 5 Thomas Deutschmann gentoo-dev Security 2017-11-02 21:22:02 UTC
x86 stable
Comment 6 Manuel Rüger (RETIRED) gentoo-dev 2017-11-20 15:45:36 UTC
Stable on amd64